program MySQLWorkbench;

uses
  gnugettext in '..\..\..\mysql-gui-common\source\windows\gnugettext.pas',
  TntForms,
  Forms,
  Main in 'Main.pas' {MainForm},
  myx_public_interface in '..\..\..\mysql-gui-common\library\public_interface\windows\myx_public_interface.pas',
  myx_grt_public_interface in '..\..\..\mysql-gui-common\library_grt\public_interface\windows\myx_grt_public_interface.pas',
  myx_grt_builtin_module_public_interface in '..\..\..\mysql-gui-common\library_grt_modules\public_interface\windows\myx_grt_builtin_module_public_interface.pas',
  myx_grt_wb_public_interface in '..\..\..\mysql-gui-common\library_grt_workbench\public_interface\windows\myx_grt_wb_public_interface.pas',
  AuxFuncs in '..\..\..\mysql-gui-common\source\windows\AuxFuncs.pas',
  AuxApplicationFuncs in '..\..\..\mysql-gui-common\source\windows\AuxApplicationFuncs.pas',
  CommonFuncs in '..\..\..\mysql-gui-common\source\windows\CommonFuncs.pas',
  MyxError in '..\..\..\mysql-gui-common\source\windows\MyxError.pas',
  MyxBaseForm in '..\..\..\mysql-gui-common\source\windows\MyxBaseForm.pas',
  MyxTabHeader in '..\..\..\mysql-gui-common\source\windows\MyxTabHeader.pas' {MyxTabHeaderFrame: TFrame},
  MySQLConnection in '..\..\..\mysql-gui-common\source\windows\MySQLConnection.pas',
  About in '..\..\..\mysql-gui-common\source\windows\About.pas' {AboutForm},
  UniCodeEditor in '..\..\..\mysql-gui-common\source\windows\UniCodeEditor\Source\UniCodeEditor.pas',
  Toolbar in '..\..\..\mysql-gui-common\source\windows\Toolbar.pas',
  Grt in '..\..\..\mysql-gui-common\source\windows\Grt.pas',
  GrtObjectTree in '..\..\..\mysql-gui-common\source\windows\GrtObjectTree.pas',
  XGrtShell in '..\..\..\mysql-gui-common\source\windows\xgrtsh\XGrtShell.pas' {XGrtShellForm: TTntForm},
  GrtForms in '..\..\..\mysql-gui-common\source\windows\GrtForms.pas',
  MyxOptions in '..\..\..\mysql-gui-common\source\windows\MyxOptions.pas',
  MyxAppOptions in 'MyxAppOptions.pas',
  AppInstanceMgmt in '..\..\..\mysql-gui-common\source\windows\AppInstanceMgmt.pas',
  MyxConnectionDialog in '..\..\..\mysql-gui-common\source\windows\MyxConnectionDialog.pas' {MyxConnectionDialogForm: TTntForm},
  ReverseEngineering in 'ReverseEngineering.pas' {ReverseEngineeringForm},
  MigrationObjSelFilter in '..\..\..\mysql-gui-common\source\windows\MigrationObjSelFilter.pas' {MigrationObjSelFilterFrame: TFrame},
  MigrationObjMapDetail in '..\..\..\mysql-gui-common\source\windows\MigrationObjMapDetail.pas' {MigrationObjMapDetailFrame: TFrame},
  AdvancedEdit in '..\..\..\mysql-gui-common\source\windows\AdvancedEdit.pas' {AdvancedEditFrame: TTntFrame},
  MyxTableEditor in '..\..\..\mysql-gui-common\source\windows\MyxTableEditor.pas' {MyxTableEditorForm},
  MyxTableEditorVTEdit in '..\..\..\mysql-gui-common\source\windows\MyxTableEditorVTEdit.pas',
  MyxEditor in '..\..\..\mysql-gui-common\source\windows\MyxEditor.pas',
  GrtWb in 'GrtWb.pas',
  MyxTableEditorIndexVTEdit in '..\..\..\mysql-gui-common\source\windows\MyxTableEditorIndexVTEdit.pas',
  MyxTableEditorIndexColumnVTEdit in '..\..\..\mysql-gui-common\source\windows\MyxTableEditorIndexColumnVTEdit.pas',
  MyxViewEditor in '..\..\..\mysql-gui-common\source\windows\MyxViewEditor.pas' {MyxViewEditorForm},
  MyxSchemaEditor in '..\..\..\mysql-gui-common\source\windows\MyxSchemaEditor.pas' {MyxSchemaEditorForm},
  MyxRoutineGroupEditor in '..\..\..\mysql-gui-common\source\windows\MyxRoutineGroupEditor.pas' {MyxRoutineGroupEditorForm},
  MyxTableEditorFkVTEdit in '..\..\..\mysql-gui-common\source\windows\MyxTableEditorFkVTEdit.pas',
  MyxTableEditorFkColumnVTEdit in '..\..\..\mysql-gui-common\source\windows\MyxTableEditorFkColumnVTEdit.pas',
  LayerTree,
  MyxDbUtils in '..\..\..\mysql-gui-common\source\windows\MyxDbUtils.pas',
  MyxRoutineEditorFrame in '..\..\..\mysql-gui-common\source\windows\MyxRoutineEditorFrame.pas' {RoutineFrame: TFrame},
  myx_util_public_interface in '..\..\..\mysql-gui-common\library_util\public_interface\windows\myx_util_public_interface.pas',
  myx_sql_resultset_public_interface in '..\..\..\mysql-gui-common\library_sql_resultset\public_interface\windows\myx_sql_resultset_public_interface.pas',
  DatabaseSynchronisation in 'DatabaseSynchronisation.pas' {DatabaseSynchronisationForm},
  ModelPrintSetup in 'ModelPrintSetup.pas' {ModelPrintSetupForm},
  PrintProgress in 'PrintProgress.pas' {ModelPrintForm},
  ModelProperties in 'ModelProperties.pas' {ModelPropertiesForm};

{$R *.res}

//Include Common Resource with PNG images, ...
{$R ..\..\..\mysql-gui-common\res\windows\mysqlcommon.res}

//Include Resource with PNG images, ...
{$R ..\..\res\windows\mysqlwb.RES}

//Enable WindowsXP look'n'feel
{$R ..\..\..\mysql-gui-common\res\windows\WindowsXP.res}

var
  SplashScreen: TAboutForm;

begin
  // Mask out certain FPU exceptions, which the JVM is not capable to catch.
  Set8087CW($133F);
  
  // Add extra domain for runtime library translations
  AddDomainForResourceString('delphi');

  // Force program to use user defined instead of the current Windows settings
  UseLanguage('en'); //MYXCommonOptions.Language);

  InitThreads;

  //Application Title
  TntApplication.Title := 'MySQL Workbench';
  Application.Title := 'MySQL Workbench';
  Application.HelpFile := '';
  Application.Initialize;

  // Display splashscreen
  if (Not(GetBoolOptionFromCommandLine('nologo'))) then
    SplashScreen := ShowSplashScreen(TntApplication.Title)
  else
    SplashScreen := nil;

  // Create GRT of correct type
  GrtWb.RuntimeEnvironment;

  Application.CreateForm(TMainForm, MainForm);

  if (MainForm.GrtInitialized) then
  begin
    MainForm.InitializeGui;
    if (SplashScreen <> nil) then
      SplashScreen.Close;

    RegisterApplication(Application, '');
    try
      Application.Run;
    finally
      UnregisterApplication(Application);
    end;

    // Store windows positions
    TMyxBaseForm.StoreWindowPositions;

    MainForm.FinalizeGui;
  end
  else
    if (SplashScreen <> nil) then
      SplashScreen.Close;

  // Store options
  if (CommonOptions <> nil) then
    CommonOptions.SaveToFile;
  if (AppOptions <> nil) then
    AppOptions.SaveToFile;

  // Shutdown the GRT
  RuntimeEnvironment.Free;
  MainForm.Free;
end.

